##
##  postgresql-timescale.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 2.20.3
%define       V_dist 2.20.3

#   package information
Name:         postgresql-timescale
Summary:      PostgreSQL Extension: Timescale
URL:          http://www.timescale.com/
Vendor:       Timescale
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      Apache
Version:      %{V_opkg}
Release:      20250618

#   list of sources
Source0:      https://github.com/timescale/timescaledb/archive/refs/tags/%{V_dist}.tar.gz
Patch0:       postgresql-timescale.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, cmake, xz
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  postgresql
PreReq:       postgresql

%description
    TimescaleDB is the first time-series database specifically designed
    for scale, ease of use, complex queries. Technically, TimescaleDB
    is just a PostgreSQL RDBMS extension. As such, it is designed to
    make SQL scalable for time-series data and provides automatic
    partitioning across time and space (partitioning key), as well as
    full SQL support.

%track
    prog postgresql-timescale = {
        version   = %{V_dist}
        url       = https://github.com/timescale/timescaledb/releases
        regex     = (\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -n timescaledb-%{V_dist}
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_cppflags}" \
    %{l_bash} bootstrap -DREGRESS_CHECKS=OFF
    ( cd build
      %{l_make} %{l_mflags}
    ) || exit $?

%install
    ( cd build
      %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    ) || exit $?
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

